Send community invitations by email
curl --request POST \
--url https://b.anny.co/api/v1/communities/{community_id}/invites \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"emails": [
"jsmith@example.com"
],
"silent": true,
"body": "<string>",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"role": "<string>"
}
'import requests
url = "https://b.anny.co/api/v1/communities/{community_id}/invites"
payload = {
"emails": ["jsmith@example.com"],
"silent": True,
"body": "<string>",
"start_date": "2023-12-25",
"end_date": "2023-12-25",
"role": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
emails: ['jsmith@example.com'],
silent: true,
body: JSON.stringify('<string>'),
start_date: '2023-12-25',
end_date: '2023-12-25',
role: '<string>'
})
};
fetch('https://b.anny.co/api/v1/communities/{community_id}/invites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Community Management
Send community invitations by email
POST
/
api
/
v1
/
communities
/
{community_id}
/
invites
Send community invitations by email
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
Community UUID
Body
application/json
Antwort
200 - application/vnd.api+json
Created invitations
The response is of type object.
⌘I